Subject: Re: [PATCH] l10n: de.po: fix some minor issues

From: Thomas Rast <[email-masked]>
Date: Mon, 21 Jan 2013 20:21:58 +0100

Ralf Thielow <[email-masked]> writes:

> This fixes some minor issues and improves the
> German translation a bit. The following things
> were changed:
> - use complete sentences in option related messages
> - translate "use" consistently as "verwendet"
> - don't translate "make sense" as "macht Sinn"
>
> Signed-off-by: Ralf Thielow <[email-masked]>

It would be easier on the reviewers if you could split out such
search&replace changes as s/benutzt/verwendet/ into a separate patch.

I'm not sure though which one would be more error-prone.  As it stands,
it's very tiring to review because of the very similar s/// changes, and
I am unlikely to spot any other change or mistake in a message that
undergoes the substitution.  With my proposal, I'd just skip reviewing
the s/// patch :-)

[No, don't change it for this patch; not worth the splitting effort.]

>  #: builtin/checkout.c:964
>  msgid "paths cannot be used with switching branches"
> -msgstr "Pfade können nicht mit dem Wechseln von Zweigen benutzt werden"
> +msgstr "Pfade können nicht mit dem Wechseln von Zweigen verwendet werden"
>  
>  #: builtin/checkout.c:967 builtin/checkout.c:971
>  #, c-format
>  msgid "'%s' cannot be used with switching branches"
> -msgstr "'%s' kann nicht mit dem Wechseln von Zweigen benutzt werden"
> +msgstr "'%s' kann nicht mit dem Wechseln von Zweigen verwendet werden"

Not new, but they sound a bit strange to me.  Perhaps "kann nicht *beim*
Wechseln von Zweigen verwendet werden"?

>  #: builtin/clone.c:734
>  #, c-format
> @@ -3293,7 +3297,7 @@ msgstr "Abstand zwischen Spalten"
>  
>  #: builtin/column.c:51
>  msgid "--command must be the first argument"
> -msgstr "Option --command muss zuerst angegeben werden"
> +msgstr "Die Option --command muss zuerst angegeben werden."

Not new either, but also took a second reading.  Maybe "muss an erster
Stelle stehen"?

>  #: builtin/describe.c:482
>  msgid "--dirty is incompatible with committishes"
> -msgstr "--dirty ist inkompatibel mit Versionen"
> +msgstr "Die Option --dirty ist inkompatibel mit Versionen."

I think in this case it would sound nicer if you used the "Die Option
--dirty kann nicht mit Versionen verwendet werden" pattern instead of
the "inkompatibel" one.

>  #: builtin/grep.c:866
>  msgid "--open-files-in-pager only works on the worktree"
> -msgstr "--open-files-in-pager arbeitet nur innerhalb des Arbeitsbaums"
> +msgstr "Die Option --open-files-in-pager kann nur innerhalb des "
> +"Arbeitsbaums."

... " verwendet werden"!

>  #: builtin/grep.c:897
>  msgid "--[no-]exclude-standard cannot be used for tracked contents."
> -msgstr ""
> -"--[no-]exlude-standard kann nicht mit beobachteten Inhalten benutzt werden"
> +msgstr "Die Option --[no-]exlude-standard kann nicht mit beobachteten "
> +"Inhalten verwendet werden."

Typo in --no-exClude-standard.  (It was in the old version, too.)

>  #: builtin/log.c:1218
>  msgid "--name-only does not make sense"
> -msgstr "--name-only macht keinen Sinn"
> +msgstr "Die Option --name-only kann nicht verwendet werden."

If you were curious as to the point of the message (even in English):
it's only triggered by format-patch.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch